#{extends 'borderNG.html' /}

<div class="content">
    <ol class="breadcrumb" style="background-color: #d9534f !important;">
        <li><a href="@{swakelola.PaketSwakelolaCtr.index()}">&{'swakelola.daftar_paket'} </a>
        <li class="active">&{'swakelola.edit_paket'}</li>
    </ol>
#{alert /} 
#{form @swakelola.PaketSwakelolaCtr.simpan(paket?.swk_id), id:'formTambahPaket', method:'POST'}
<table class="table table-sm table-bordered">
    <tr>
        <th class="bgwarning" width="20%">Rencana Umum Pengadaan</th>
        <td>
            #{rupTableSwa paketId:paket.swk_id, sirups:paket.sirupListForUI, isDraft:(paket?.pkt_status?.isDraft()), action:'nonlelang.PaketSwakelolaCtr.hapus_rup' /}

        </td>
    </tr>
     <tr>
        <th class="bgwarning">K/L/PD</th>
        <td>${paket?.namaInstansi}</td>
    </tr>
     <tr>
        <th class="bgwarning">Satuan Kerja</th>
        <td>${paket?.namaSatker}</td>
    </tr>
    <tr>
        <th class="bgwarning">Anggaran</th>
        <td class="#{validate 'paket.ppk'/}">
            #{anggaranTableSwa paketId:paket.swk_id, anggarans:paket.paketAnggarans, action:'nonlelang.PaketSwakelolaCtr.ppk',  allowEdit:paket.isAllowEditPpk() /}
            <div class="invalid-feedback">#{error 'paket.ppk' /}</div>
        </td>
    </tr>
     <tr>
        <th class="bgwarning">Nama Paket<span class="warning">*</span></th>
        <td>
            #{if draft}
            <textarea name="paket.pkt_nama" rows="6" cols="30" class="form-control #{validate 'paket.pkt_nama'/}">${paket.pkt_nama}</textarea>
            #{/if}
            #{else}
            ${paket.pkt_nama}
            #{/else}

        </td>
    </tr>
     <tr>
        <th class="bgwarning">Nilai Pagu Paket</th>
        <td>${paket?.pkt_pagu?.rupiah()}</td>
    </tr>
     <tr>
        <th class="bgwarning">Lokasi Pekerjaan<span class="warning"> *</span></th>
         <td>
         #{paket.paketLokasiTable locations:paket?.paketLocations, allowEditSelect:(!paket.isEditable()), isReadOnly:(!paket.isEditable()), allowDeleteLocation:(paket?.pkt_status?.isDraft()) /}
         #{if paket.isEditable()}
         <button type="button" class="btn btn-secondary " id="tambahLokasi" value="Tambah Lokasi" ><i class="fa fa-plus-circle"></i> Tambah Lokasi</button>
         #{/if}
         </td>
    </tr>
</table>
<div class="form-group row">
	<div class="col-offset-0 col-10">
        #{if draft}
        #{set 'a'}&{'swakelola.simpan_umumkan'}#{/set}
	  #{saveButton title:a/}
        #{/if}
	  #{backButton action:@swakelola.PaketSwakelolaCtr.index() /}
        #{if !draft && paket.ppk_id == null}
        <a href="@{swakelola.PaketSwakelolaCtr.simpanPpk(paket.swk_id)}"  class="btn btn-success">  &{'swakelola.simpan'}</a>
        #{/if}
	</div>
</div>
#{/form}

<div class="bs-callout bs-callout-warning">
	<span class="warning">*</span> &{'swakelola.harus_diisi'}</div>
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/jquery.maskedinput.min.js'/}"></script>
<script type="text/javascript">  
var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
$(document).on('change', 'select.propinsi', function(){
	console.log('update')
   var id = $(this).val();
   $.cookie("paket_edit_propinsi_id", id, {expires:365, path:'${request.path}'});
   var kabupaten = $(this).parent().parent().parent().find('select.kabupaten')   
   $.getJSON(kabUrl.url({id:id}), function(data){
	  var options = '';
	  for (var i = 0; i < data.length; i++) {
	     options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
	  }
	  kabupaten.html(options);
	  kabupaten.selectpicker('refresh');
  })   
})

$(document).on('click', '.removeBtn', function(){
  $(this).parent().parent().remove()
})

$("#tambahLokasi").click(function(){
  var options = $('#tblLokasi tr select[name="propinsiId[]"]').html();
  var ind = $('#tblLokasi tr').length - 1
  var prop_id= $.cookie("paket_edit_propinsi_id"); 
  var addLokasi = '<tr><td><select name="propinsiId[]" class="form-control propinsi" data-live-search="true" data-width="auto">'+options+'</select></td>'+
                  '<td><select name="lokasi['+ind+'].kbp_id" class="form-control kabupaten" data-placeholder="pilih kabupaten" data-live-search="true" data-width="auto"></select></td>'+
                  '<td><input type="text" class="form-control" name="lokasi['+ind+'].pkt_lokasi" placeholder="Alamat Detail"></td>'+
                  '<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
	 $("#tblLokasi").append(addLokasi);
     $("select[name='propinsiId[]']").last().prop('selectedIndex',0);
	 $('#tblLokasi tr select[name="propinsiId[]"]').selectpicker('refresh');	   	  
})
</script>
#{/set}
